Subject: Re: bug#24518: 25.2.50; dired-mark-extension with prefix arg fails

From: Tino Calancha <[email-masked]>
Date: Sat, 24 Sep 2016 22:02:01 +0900 (JST)

On Sat, 24 Sep 2016, Eli Zaretskii wrote:

>> From: Tino Calancha <[email-masked]>
>> Date: Sat, 24 Sep 2016 21:30:11 +0900 (JST)
>> cc: Tino Calancha <[email-masked]>, [email-masked]
>>
>>
>> On Sat, 24 Sep 2016, Eli Zaretskii wrote:
>>
>>> This loses the feature whereby the user could also specify the
>>> character to use as the marker.  Try "C-u 65 * . el RET" to see what
>>> that does.
>> That feature has never being available since `dired-x' was added to Emacs
>> in 1994: the bug came from the very first commit.  No user will miss
>> that feature because nobody ever could use it.
>
> ??? The example I gave works with the unmodified sources.  When used
> as I've shown, there's no bug, and the command does what I expect.  So
> how can we be sure no one ever used it that way and won't miss this
> optional behavior?
>
> Can you explain your logic here?
Maybe you are a genious.  Normal people when we are prompt for a 
character we expect we can input the textual representation of the 
character, for example: i will answer
K
instead of
75

You should admit that your example is tricky.  Compare how the user is
prompted with:
M-x dired-change-marks RET
;; This command expects 'textual' representation of the character.

I don't think my patch breaks any feature, because i consider
prompting fo a char in hexadecimal not a feature.  Maybe for robots,
but certainly not for human.